com.qualcomm.ftccommon

## Class SoundPlayer.SoundInfo

- java.lang.Object
- - RefCounted
  - - com.qualcomm.ftccommon.SoundPlayer.SoundInfo

- Enclosing class:
    SoundPlayer

      protected class SoundPlayer.SoundInfo
      extends RefCounted

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbSize`
    `Context` | `context`
    `java.io.File` | `file`
    `java.lang.String` | `hashString`
    `long` | `msDuration`
    `long` | `msLastPlay`
    `int` | `resourceId`
    `int` | `sampleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundInfo(Context context, int resourceId, int msDuration)`
    `SoundInfo(java.io.File file, int msDuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `computeHash()`
    `protected void` | `destructor()`
    `java.io.InputStream` | `getInputStream()`
    `java.lang.Object` | `getKey()`
    `void` | `initialize(int sampleId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### context

          public final Context context

    - #### resourceId

          public final int resourceId

    - #### file

          public final java.io.File file

    - #### msDuration

          public final long msDuration

    - #### sampleId

          public int sampleId

    - #### hashString

          public java.lang.String hashString

    - #### cbSize

          public int cbSize

    - #### msLastPlay

          public long msLastPlay

  - ### Constructor Detail

    - #### SoundInfo

          public SoundInfo(Context context,
                           int resourceId,
                           int msDuration)

    - #### SoundInfo

          public SoundInfo(java.io.File file,
                           int msDuration)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### initialize

          public void initialize(int sampleId)

    - #### destructor

          protected void destructor()

    - #### getInputStream

          public java.io.InputStream getInputStream()

    - #### computeHash

          protected java.lang.String computeHash()

    - #### getKey

          public java.lang.Object getKey()